Email All Users Includes "Inactive" Users

Bug #771888 reported by Nat Katin-Borland on 2011-04-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
KARL3
Low
Nat Katin-Borland

Bug Description

I recently used the Email function on the KARL admin screen to email "all" users. This generated to an email to all users, including those that are "inactive" in KARL. Emails sent from the email utility on the Admin screen (for both "all" and "staff") should only go out to active users.

Paul Everitt (paul-agendaless) wrote :

Our plate is going to be really full in the next few weeks, moving this to June after Chris gets back.

Changed in karl3:
assignee: nobody → Chris Rossi (chris-archimedeanco)
importance: Undecided → Low
milestone: none → m56
Changed in karl3:
importance: Low → Medium
Changed in karl3:
milestone: m61 → m62
Changed in karl3:
status: New → In Progress
Changed in karl3:
status: In Progress → Fix Committed
JimPGlenn (jpglenn09) on 2011-06-30
tags: added: r3.67
JimPGlenn (jpglenn09) on 2011-07-01
Changed in karl3:
assignee: Chris Rossi (chris-archimedeanco) → Robert Marianski (rmarianski)
Changed in karl3:
status: Fix Committed → Fix Released
Paul Everitt (paul-agendaless) wrote :

Re-opening this, Oxfam reported it as a bug.

Changed in karl3:
assignee: Robert Marianski (rmarianski) → Chris Rossi (chris-archimedeanco)
importance: Medium → Low
milestone: m62 → m85
status: Fix Released → In Progress
JimPGlenn (jpglenn09) on 2011-11-29
tags: removed: r3.67
Changed in karl3:
milestone: m85 → m88
Changed in karl3:
milestone: m88 → m90
Changed in karl3:
milestone: m90 → m92
JimPGlenn (jpglenn09) on 2012-03-01
Changed in karl3:
milestone: m92 → m95
Changed in karl3:
milestone: m95 → m97
Changed in karl3:
milestone: m97 → m100
Changed in karl3:
milestone: m100 → m104
Changed in karl3:
milestone: m104 → m108
Changed in karl3:
milestone: m108 → m112
Paul Everitt (paul-agendaless) wrote :

Boy, this one has been punted a long way down the road.

Changed in karl3:
assignee: Chris Rossi (chris-archimedeanco) → Carlos de la Guardia (cguardia)
milestone: m112 → m110
Carlos de la Guardia (cguardia) wrote :

This works. The code looks fine and I confirmed that after deactivating some user emails are not sent to him.

Changed in karl3:
status: In Progress → Fix Committed
JimPGlenn (jpglenn09) wrote :

I am not sure how to test this. I could use some help.

I suggest handing this one over to Nat to test.

BTW, I leave for the airport at 11:50 my time.

--Paul

On Jul 5, 2012, at 10:45 AM, JimPGlenn wrote:

> I am not sure how to test this. I could use some help.
>
> --
> You received this bug notification because you are subscribed to KARL3.
> https://bugs.launchpad.net/bugs/771888
>
> Title:
> Email All Users Includes "Inactive" Users
>
> Status in KARL3:
> Fix Committed
>
> Bug description:
> I recently used the Email function on the KARL admin screen to email
> "all" users. This generated to an email to all users, including those
> that are "inactive" in KARL. Emails sent from the email utility on
> the Admin screen (for both "all" and "staff") should only go out to
> active users.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/karl3/+bug/771888/+subscriptions

JimPGlenn (jpglenn09) on 2012-07-05
Changed in karl3:
assignee: Carlos de la Guardia (cguardia) → Nat Katin-Borland (nborland)

Nat, I think this is one that might need some help testing from you.

--Paul

On Jul 5, 2012, at 11:20 AM, JimPGlenn wrote:

> ** Changed in: karl3
> Assignee: Carlos de la Guardia (cguardia) => Nat Katin-Borland (nborland)
>
> --
> You received this bug notification because you are subscribed to KARL3.
> https://bugs.launchpad.net/bugs/771888
>
> Title:
> Email All Users Includes "Inactive" Users
>
> Status in KARL3:
> Fix Committed
>
> Bug description:
> I recently used the Email function on the KARL admin screen to email
> "all" users. This generated to an email to all users, including those
> that are "inactive" in KARL. Emails sent from the email utility on
> the Admin screen (for both "all" and "staff") should only go out to
> active users.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/karl3/+bug/771888/+subscriptions

JimPGlenn (jpglenn09) on 2012-07-09
tags: added: ux1 ux2
Nat Katin-Borland (nborland) wrote :

I think this is pretty much impossible to test without spamming a lot of people. We'll just have to wait until the next time we have to send out a message and then see what happens...

JimPGlenn (jpglenn09) wrote :

I will mark this as tested to get it merged to staging. But we will follow Nat's lead.

tags: added: tested
JimPGlenn (jpglenn09) on 2012-07-11
tags: added: r3.90
JimPGlenn (jpglenn09) wrote :

I have marked this as fixed released but it will not be tested at this time per Nat.

Changed in karl3:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers